Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class DefaultFilter

    java.lang.Object
      com.vordel.circuit.Filter
          com.vordel.circuit.VariablePropertiesFilter
              com.vordel.circuit.DefaultFilter

    public abstract class DefaultFilter

extends VariablePropertiesFilter

Field Summary

Fields inherited from class com.vordel.circuit.VariablePropertiesFilter
`USER_ATTRIBUTE_FORMAT_REGEX, userAttributePattern`

Fields inherited from class com.vordel.circuit.Filter
`CAN_FAIL, CAN_SUCCEED, circuit, consumedProperties, contextLoader, EMPTY_SET, generatedProperties, name, requiredProperties`

Constructor Summary
`DefaultFilter()`

Method Summary

Methods inherited from class com.vordel.circuit.VariablePropertiesFilter
`configure, createHashSet, getLoggingWildcards, getRequiredPropertiesFromEntity, getRequiredPropertiesFromReferences, getWildcardAttributes, ignoreField, ignoreType, syncProps`

Methods inherited from class com.vordel.circuit.Filter
`getCircuitPK, getConfigPanelClass, getConsumedProperties, getEntity, getFailureNode, getFailureNodePK, getGeneratedProperties, getMessageProcessorClass, getName, getPossibleOutcomes, getRequiredProperties, getSuccessNode, getSuccessNodePK, reconfigure, setCircuitPK, setDefaultProperties, setEntity, setFailureNode, setName, setShouldAbortProcessingOnLogError, setSuccessNode, shouldAbortProcessingOnLogError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFilter

    public DefaultFilter()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel